const app = Vue.createApp({
  setup() {
    document.body.removeAttribute('hidden')
  },
  data () {
    return {
      orders: []
    }
  },
  mounted () {
    OneSDK.setup()
    OneSDK.subscribe({
      action: 'connected',
      callback: (data) => {
        this.orders = data.waitingList || []
      }
    })
    OneSDK.subscribe({
      action: 'waitingList',
      callback: (waitingList) => {
        this.orders = waitingList
      }
    })
    OneSDK.connect()
  },
})
OneSDK.ready().then(() => {
  app.mount("#container");
})
